version: "3.8"
services:
  upload-files:
    build: .
    ports:
      - "85:80"  # Mapea el puerto 85 del host al puerto 80 del contenedor
    volumes:
      - .:/var/www/html:cached  # Monta el proyecto local con opción de caché para mejor rendimiento
      - composer_cache:/var/www/html/vendor  # Almacena la carpeta vendor en un volumen separado
    networks:
      - smartmobile-network  # Conexión a una red externa (si es necesaria)
    command: apache2-foreground  # Evita reejecutar Composer en cada inicio

networks:
  smartmobile-network:
    external: true  # Usa una red externa ya existente (crea con `docker network create smartmobile-network` si no existe)

volumes:
  composer_cache:
    driver: local  # Usa un volumen local para la carpeta `vendor`